# OgreShadowCaster.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreRenderable.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Enumerations

enum | ShadowRenderableFlags { SRF_INCLUDE_LIGHT_CAP = 0x00000001, SRF_INCLUDE_DARK_CAP = 0x00000002, SRF_EXTRUDE_TO_INFINITY = 0x00000004 }
| A set of flags that can be used to influence ShadowRenderable creation. More...

## Enumeration Type Documentation

enum Ogre::ShadowRenderableFlags

A set of flags that can be used to influence ShadowRenderable creation.

Enumeration values:

  SRF_INCLUDE_LIGHT_CAP | For shadow volume techniques only, generate a light cap on the volume.
  SRF_INCLUDE_DARK_CAP | For shadow volume techniques only, generate a dark cap on the volume.
  SRF_EXTRUDE_TO_INFINITY | For shadow volume techniques only, indicates volume is extruded to infinity.

Definition at line 92 of file OgreShadowCaster.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:45 2009